


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for landingpage/tests.py: 100%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>landingpage/tests.py</b> :
            <span class="pc_cov">100%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            66 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">66 run</span>
            <span class="mis shortkey_m button_toggle_mis">0 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm run hide_run"><a href="#n1">1</a></p>
<p id="n2" class="stm run hide_run"><a href="#n2">2</a></p>
<p id="n3" class="stm run hide_run"><a href="#n3">3</a></p>
<p id="n4" class="stm run hide_run"><a href="#n4">4</a></p>
<p id="n5" class="stm run hide_run"><a href="#n5">5</a></p>
<p id="n6" class="stm run hide_run"><a href="#n6">6</a></p>
<p id="n7" class="stm run hide_run"><a href="#n7">7</a></p>
<p id="n8" class="stm run hide_run"><a href="#n8">8</a></p>
<p id="n9" class="stm run hide_run"><a href="#n9">9</a></p>
<p id="n10" class="stm run hide_run"><a href="#n10">10</a></p>
<p id="n11" class="pln"><a href="#n11">11</a></p>
<p id="n12" class="stm run hide_run"><a href="#n12">12</a></p>
<p id="n13" class="stm run hide_run"><a href="#n13">13</a></p>
<p id="n14" class="stm run hide_run"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="stm run hide_run"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="stm run hide_run"><a href="#n18">18</a></p>
<p id="n19" class="stm run hide_run"><a href="#n19">19</a></p>
<p id="n20" class="pln"><a href="#n20">20</a></p>
<p id="n21" class="pln"><a href="#n21">21</a></p>
<p id="n22" class="stm run hide_run"><a href="#n22">22</a></p>
<p id="n23" class="pln"><a href="#n23">23</a></p>
<p id="n24" class="stm run hide_run"><a href="#n24">24</a></p>
<p id="n25" class="stm run hide_run"><a href="#n25">25</a></p>
<p id="n26" class="stm run hide_run"><a href="#n26">26</a></p>
<p id="n27" class="stm run hide_run"><a href="#n27">27</a></p>
<p id="n28" class="pln"><a href="#n28">28</a></p>
<p id="n29" class="stm run hide_run"><a href="#n29">29</a></p>
<p id="n30" class="stm run hide_run"><a href="#n30">30</a></p>
<p id="n31" class="pln"><a href="#n31">31</a></p>
<p id="n32" class="stm run hide_run"><a href="#n32">32</a></p>
<p id="n33" class="pln"><a href="#n33">33</a></p>
<p id="n34" class="stm run hide_run"><a href="#n34">34</a></p>
<p id="n35" class="stm run hide_run"><a href="#n35">35</a></p>
<p id="n36" class="pln"><a href="#n36">36</a></p>
<p id="n37" class="pln"><a href="#n37">37</a></p>
<p id="n38" class="stm run hide_run"><a href="#n38">38</a></p>
<p id="n39" class="stm run hide_run"><a href="#n39">39</a></p>
<p id="n40" class="pln"><a href="#n40">40</a></p>
<p id="n41" class="stm run hide_run"><a href="#n41">41</a></p>
<p id="n42" class="stm run hide_run"><a href="#n42">42</a></p>
<p id="n43" class="pln"><a href="#n43">43</a></p>
<p id="n44" class="pln"><a href="#n44">44</a></p>
<p id="n45" class="stm run hide_run"><a href="#n45">45</a></p>
<p id="n46" class="pln"><a href="#n46">46</a></p>
<p id="n47" class="pln"><a href="#n47">47</a></p>
<p id="n48" class="pln"><a href="#n48">48</a></p>
<p id="n49" class="stm run hide_run"><a href="#n49">49</a></p>
<p id="n50" class="stm run hide_run"><a href="#n50">50</a></p>
<p id="n51" class="pln"><a href="#n51">51</a></p>
<p id="n52" class="stm run hide_run"><a href="#n52">52</a></p>
<p id="n53" class="stm run hide_run"><a href="#n53">53</a></p>
<p id="n54" class="stm run hide_run"><a href="#n54">54</a></p>
<p id="n55" class="stm run hide_run"><a href="#n55">55</a></p>
<p id="n56" class="pln"><a href="#n56">56</a></p>
<p id="n57" class="stm run hide_run"><a href="#n57">57</a></p>
<p id="n58" class="stm run hide_run"><a href="#n58">58</a></p>
<p id="n59" class="pln"><a href="#n59">59</a></p>
<p id="n60" class="pln"><a href="#n60">60</a></p>
<p id="n61" class="stm run hide_run"><a href="#n61">61</a></p>
<p id="n62" class="stm run hide_run"><a href="#n62">62</a></p>
<p id="n63" class="stm run hide_run"><a href="#n63">63</a></p>
<p id="n64" class="stm run hide_run"><a href="#n64">64</a></p>
<p id="n65" class="pln"><a href="#n65">65</a></p>
<p id="n66" class="stm run hide_run"><a href="#n66">66</a></p>
<p id="n67" class="stm run hide_run"><a href="#n67">67</a></p>
<p id="n68" class="pln"><a href="#n68">68</a></p>
<p id="n69" class="stm run hide_run"><a href="#n69">69</a></p>
<p id="n70" class="stm run hide_run"><a href="#n70">70</a></p>
<p id="n71" class="pln"><a href="#n71">71</a></p>
<p id="n72" class="stm run hide_run"><a href="#n72">72</a></p>
<p id="n73" class="stm run hide_run"><a href="#n73">73</a></p>
<p id="n74" class="stm run hide_run"><a href="#n74">74</a></p>
<p id="n75" class="pln"><a href="#n75">75</a></p>
<p id="n76" class="stm run hide_run"><a href="#n76">76</a></p>
<p id="n77" class="pln"><a href="#n77">77</a></p>
<p id="n78" class="stm run hide_run"><a href="#n78">78</a></p>
<p id="n79" class="stm run hide_run"><a href="#n79">79</a></p>
<p id="n80" class="stm run hide_run"><a href="#n80">80</a></p>
<p id="n81" class="stm run hide_run"><a href="#n81">81</a></p>
<p id="n82" class="stm run hide_run"><a href="#n82">82</a></p>
<p id="n83" class="stm run hide_run"><a href="#n83">83</a></p>
<p id="n84" class="stm run hide_run"><a href="#n84">84</a></p>
<p id="n85" class="pln"><a href="#n85">85</a></p>
<p id="n86" class="stm run hide_run"><a href="#n86">86</a></p>
<p id="n87" class="stm run hide_run"><a href="#n87">87</a></p>
<p id="n88" class="stm run hide_run"><a href="#n88">88</a></p>
<p id="n89" class="pln"><a href="#n89">89</a></p>
<p id="n90" class="stm run hide_run"><a href="#n90">90</a></p>
<p id="n91" class="stm run hide_run"><a href="#n91">91</a></p>
<p id="n92" class="stm run hide_run"><a href="#n92">92</a></p>
<p id="n93" class="stm run hide_run"><a href="#n93">93</a></p>
<p id="n94" class="stm run hide_run"><a href="#n94">94</a></p>
<p id="n95" class="pln"><a href="#n95">95</a></p>
<p id="n96" class="pln"><a href="#n96">96</a></p>
<p id="n97" class="pln"><a href="#n97">97</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">test</span> <span class="key">import</span> <span class="nam">TestCase</span><span class="op">,</span> <span class="nam">LiveServerTestCase</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">test</span> <span class="key">import</span> <span class="nam">SimpleTestCase</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">resolve</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">http</span> <span class="key">import</span> <span class="nam">HttpRequest</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="stm run hide_run"><span class="key">from</span> <span class="nam">landingpage</span><span class="op">.</span><span class="nam">forms</span> <span class="key">import</span> <span class="nam">createStatus</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="stm run hide_run"><span class="key">from</span> <span class="nam">landingpage</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">statusModel</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm run hide_run"><span class="key">from</span> <span class="nam">landingpage</span><span class="op">.</span><span class="nam">views</span> <span class="key">import</span> <span class="nam">statusPage</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">test</span> <span class="key">import</span> <span class="nam">Client</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">reverse</span><span class="op">,</span> <span class="nam">resolve</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">http</span> <span class="key">import</span> <span class="nam">HttpRequest</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm run hide_run"><span class="key">from</span> <span class="nam">selenium</span> <span class="key">import</span> <span class="nam">webdriver</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm run hide_run"><span class="key">from</span> <span class="nam">selenium</span><span class="op">.</span><span class="nam">webdriver</span><span class="op">.</span><span class="nam">common</span><span class="op">.</span><span class="nam">keys</span> <span class="key">import</span> <span class="nam">Keys</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm run hide_run"><span class="key">from</span> <span class="nam">selenium</span><span class="op">.</span><span class="nam">webdriver</span><span class="op">.</span><span class="nam">chrome</span><span class="op">.</span><span class="nam">options</span> <span class="key">import</span> <span class="nam">Options</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t16" class="stm run hide_run"><span class="key">import</span> <span class="nam">time</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln"><span class="com"># import json</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm run hide_run"><span class="key">from</span> <span class="op">.</span> <span class="key">import</span> <span class="nam">forms</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="stm run hide_run"><span class="key">from</span> <span class="op">.</span> <span class="key">import</span> <span class="nam">views</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t21" class="pln"><span class="com"># Create your tests here.</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm run hide_run"><span class="key">class</span> <span class="nam">statusPageTest</span><span class="op">(</span><span class="nam">TestCase</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t24" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_no_data</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t25" class="stm run hide_run">        <span class="nam">form</span> <span class="op">=</span> <span class="nam">createStatus</span><span class="op">(</span><span class="nam">data</span><span class="op">=</span><span class="op">{</span><span class="op">}</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertFalse</span><span class="op">(</span><span class="nam">form</span><span class="op">.</span><span class="nam">is_valid</span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">len</span><span class="op">(</span><span class="nam">form</span><span class="op">.</span><span class="nam">errors</span><span class="op">)</span><span class="op">,</span><span class="num">1</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t29" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_form_valid</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm run hide_run">        <span class="nam">form</span> <span class="op">=</span> <span class="nam">createStatus</span><span class="op">(</span><span class="nam">data</span><span class="op">=</span><span class="op">{</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="pln">            <span class="str">'status'</span><span class="op">:</span><span class="str">'halo'</span><span class="op">}</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTrue</span><span class="op">(</span><span class="nam">form</span><span class="op">.</span><span class="nam">is_valid</span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t33" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t34" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_url_exist</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="stm run hide_run">        <span class="nam">status</span> <span class="op">=</span> <span class="nam">statusModel</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t36" class="pln">            <span class="nam">status</span> <span class="op">=</span> <span class="str">"halo"</span><span class="strut">&nbsp;</span></p>
<p id="t37" class="pln">        <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t38" class="stm run hide_run">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">client</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">''</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span><span class="num">200</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t40" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t41" class="stm run hide_run">    <span class="key">def</span> <span class="nam">setUp</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t42" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">project</span> <span class="op">=</span> <span class="nam">statusModel</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t43" class="pln">            <span class="nam">status</span> <span class="op">=</span> <span class="str">'halo'</span><span class="strut">&nbsp;</span></p>
<p id="t44" class="pln">        <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t45" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">project1</span> <span class="op">=</span> <span class="nam">statusModel</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t46" class="pln">            <span class="nam">status</span> <span class="op">=</span> <span class="str">'halo'</span><span class="strut">&nbsp;</span></p>
<p id="t47" class="pln">        <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t48" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t49" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">client</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t50" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">tdd_url</span> <span class="op">=</span> <span class="nam">reverse</span><span class="op">(</span><span class="str">'landingpage:statusPage'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t51" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t52" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_tdd_GET</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t53" class="stm run hide_run">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">client</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">tdd_url</span><span class="op">,</span> <span class="op">{</span><span class="str">"form"</span><span class="op">:</span><span class="str">'status'</span><span class="op">}</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t54" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEquals</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t55" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'status.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t56" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t57" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_tdd_POST_greet</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t58" class="stm run hide_run">        <span class="nam">status_data</span> <span class="op">=</span> <span class="op">{</span><span class="strut">&nbsp;</span></p>
<p id="t59" class="pln">            <span class="str">'status'</span><span class="op">:</span><span class="str">'halo'</span><span class="strut">&nbsp;</span></p>
<p id="t60" class="pln">        <span class="op">}</span><span class="strut">&nbsp;</span></p>
<p id="t61" class="stm run hide_run">        <span class="nam">form</span> <span class="op">=</span> <span class="nam">forms</span><span class="op">.</span><span class="nam">createStatus</span><span class="op">(</span><span class="nam">data</span> <span class="op">=</span> <span class="nam">status_data</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t62" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTrue</span><span class="op">(</span><span class="nam">form</span><span class="op">.</span><span class="nam">is_valid</span><span class="op">(</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t63" class="stm run hide_run">        <span class="nam">request</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">client</span><span class="op">.</span><span class="nam">post</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">tdd_url</span><span class="op">,</span> <span class="nam">data</span> <span class="op">=</span> <span class="nam">status_data</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t64" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEquals</span><span class="op">(</span><span class="nam">request</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">302</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t65" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t66" class="stm run hide_run">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">client</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">tdd_url</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t67" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEquals</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t68" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t69" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_project</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t70" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertNotEqual</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">project</span><span class="op">,</span> <span class="nam">self</span><span class="op">.</span><span class="nam">project1</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t71" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t72" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_tdd_url_is_resolved</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t73" class="stm run hide_run">        <span class="nam">url</span> <span class="op">=</span> <span class="nam">reverse</span><span class="op">(</span><span class="str">'landingpage:statusPage'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t74" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEquals</span><span class="op">(</span><span class="nam">resolve</span><span class="op">(</span><span class="nam">url</span><span class="op">)</span><span class="op">.</span><span class="nam">func</span> <span class="op">,</span> <span class="nam">statusPage</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t75" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t76" class="stm run hide_run"><span class="key">class</span> <span class="nam">functionTestPage</span><span class="op">(</span><span class="nam">LiveServerTestCase</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t77" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t78" class="stm run hide_run">    <span class="key">def</span> <span class="nam">setUp</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t79" class="stm run hide_run">        <span class="nam">super</span><span class="op">(</span><span class="nam">functionTestPage</span><span class="op">,</span> <span class="nam">self</span><span class="op">)</span><span class="op">.</span><span class="nam">setUp</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t80" class="stm run hide_run">        <span class="nam">chrome_options</span> <span class="op">=</span> <span class="nam">Options</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t81" class="stm run hide_run">        <span class="nam">chrome_options</span><span class="op">.</span><span class="nam">add_argument</span><span class="op">(</span><span class="str">'--no-sandbox'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t82" class="stm run hide_run">        <span class="nam">chrome_options</span><span class="op">.</span><span class="nam">add_argument</span><span class="op">(</span><span class="str">'--headless'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t83" class="stm run hide_run">        <span class="nam">chrome_options</span><span class="op">.</span><span class="nam">add_argument</span><span class="op">(</span><span class="str">'--disable-gpu'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t84" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span> <span class="op">=</span> <span class="nam">webdriver</span><span class="op">.</span><span class="nam">Chrome</span><span class="op">(</span><span class="str">'./chromedriver'</span><span class="op">,</span> <span class="nam">chrome_options</span> <span class="op">=</span> <span class="nam">chrome_options</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t85" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t86" class="stm run hide_run">    <span class="key">def</span> <span class="nam">tearDown</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t87" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">quit</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t88" class="stm run hide_run">        <span class="nam">super</span><span class="op">(</span><span class="nam">functionTestPage</span><span class="op">,</span> <span class="nam">self</span><span class="op">)</span><span class="op">.</span><span class="nam">tearDown</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t89" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t90" class="stm run hide_run">    <span class="key">def</span> <span class="nam">test_response</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t91" class="stm run hide_run">        <span class="nam">status</span> <span class="op">=</span> <span class="nam">statusModel</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">status</span> <span class="op">=</span> <span class="str">"Halo"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t92" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">self</span><span class="op">.</span><span class="nam">live_server_url</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t93" class="stm run hide_run">        <span class="nam">kontain</span> <span class="op">=</span> <span class="nam">self</span><span class="op">.</span><span class="nam">browser</span><span class="op">.</span><span class="nam">find_element_by_class_name</span><span class="op">(</span><span class="str">'status'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t94" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">kontain</span><span class="op">.</span><span class="nam">find_element_by_tag_name</span><span class="op">(</span><span class="str">'h1'</span><span class="op">)</span><span class="op">.</span><span class="nam">text</span><span class="op">,</span> <span class="str">"Halo"</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t95" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t96" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t97" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-11-03 18:37
        </p>
    </div>
</div>

</body>
</html>
